; homeall.g
; called to home all axes
;

; BLTouch
M280 P0 S160           ; Precautionary alarm release
M280 P0 S90            ; Ensure the pin is raised

M201 X500.00 Y500.00      ; Reduce acceleration for homing moves
G91                       ; relative positioning
G1 H2 Z10 F10800          ; lift Z relative to current position
G1 H1 X-625 F3600         ; move quickly to X axis endstop and stop there (first pass)
G1 H2 X20 F3000           ; go back a few mm
G1 H1 X-625 F256          ; move slowly to X axis endstop once more (second pass)
M201 X3000 Y3000          ; Return to full acceleration
G90                       ; absolute positioning

M201 X500.00 Y500.00      ; Reduce acceleration for homing moves
G91                       ; relative positioning
G1 H1 Y625 F3600          ; move quickly to Y axis endstop and stop there (first pass)
G1 Y-20 F3000             ; go back a few mm
G1 H1 Y625 F256           ; move slowly to Y axis endstop once more (second pass)
M201 X3000 Y3000          ; Return to full acceleration

G90                       ; absolute positioning
G1 X250 Y250 F3600        ; go to first probe point
G30                       ; home Z by probing the bed
G29 S1                    ; enable compensation
G91 			  ; Relative positioning
G1 Z10 F3600              ; lift Z relative to current position
G90                       ; absolute positioning



